## galapi
Class NameValuePair

    java.lang.Object
      galapi.NameValuePair

public class NameValuePair
extends java.lang.Object

Constructor Summary
`NameValuePair(java.lang.String n, ItemList v)` Builds a name/value pair, usually for representing a variable.

Method Summary
`java.lang.String` `getName()`
`ItemList` `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameValuePair

    public NameValuePair(java.lang.String n,
                         ItemList v)
                  throws GalapiException

  Builds a name/value pair, usually for representing a variable.

Parameters:
  `n` - the name of the variable
  `v` - the value of the variable

Method Detail

### getName

    public java.lang.String getName()

### getValue

    public ItemList getValue()